/**
 * Auto Generated Java Class.
 */
import java.util.Scanner;
public class TablasdeOperadores
{
  
  
  public static void main(String[] args) 
  { 
    Scanner teclado=new Scanner(System.in);
    System.out.println("Tablas de Operadores");
    System.out.println("Operador [1=+ 2=- 3=* 4=/ 5=% 0=Salir]" + ":");
    int operador=teclado.nextInt();
   
   
   
    switch(operador)
    {
      case 0:
        System.out.println("");
        break;
      
      case 1:
       
        System.out.print("valor maximo");
        double valormaximo= teclado.nextDouble();
        System.out.println("" + valormaximo);
        System.out.print("valor minimo");
        double valorminimo=teclado.nextDouble();
        System.out.println("" + valorminimo);
        System.out.println("Incremento");
        double incremento=teclado.nextDouble();
        System.out.println("" + incremento);
        System.out.printf(" \n");
        double columna = (valorminimo);
        double fila= (valorminimo);
        
        
        while ( columna <= valormaximo)
        {
          //System.out.prinf("%20d%,%2s%", columna + "|");
          //profe intente encuadr asi pero no pude compilar me base en la edision 7 pag 173 o esta mal o no se. NO SIRVE
          double max = (valormaximo);
          double n = valorminimo + incremento;
          {
           System.out.println(n+ columna +" " );
          }
            columna += incremento;
        }
         
        
        
       //for(minimob=( valorminimo -1 ); minimob<=maximob;minimob+=incremento)
         //{
               //  int suma1=0;
               //  suma1= ((valorminimo + incremento) + minimob );  
               
               //   System.out.println( + minimob + "  | ");
                
       // }
      break;  
      
      case 2:
        System.out.println("2");
        System.out.print("valor maximo");
        valormaximo=teclado.nextDouble();
        System.out.println("" + valormaximo);
        System.out.println("valor minimo");
        valorminimo=teclado.nextDouble();
        System.out.println("" + valorminimo);
        System.out.println("Incremento");
        incremento=teclado.nextDouble();
        System.out.println("" + incremento);
        
        double minimoa=valorminimo;
        double maximoa= valormaximo;
        
        System.out.print("  * |");
        for(minimoa=valorminimo;minimoa<=maximoa;minimoa+=incremento)
        {  
          System.out.print("  " + minimoa );   
        }
        for(minimoa=valorminimo;minimoa<=maximoa;minimoa+=incremento)
        {     
          System.out.println( "" + minimoa + "   |");
          
        }
        for(minimoa=valorminimo;minimoa<=maximoa;minimoa+=incremento)
        {     
      
          System.out.print("" + ((minimoa)- (minimoa)));
          System.out.println("");
        }
        break;  
        
      case 3:
        System.out.println("3");
        System.out.print("valor maximo");
        valormaximo=teclado.nextDouble();
        System.out.println("" + valormaximo);
        System.out.print("valor minimo");
        valorminimo=teclado.nextDouble();
        System.out.println("" + valorminimo);
        System.out.println("Incremento");
        incremento=teclado.nextDouble();
        System.out.println("" + incremento);
         double columna3 = (valorminimo);
        double fila3= (valorminimo);
        
        while ( columna3 <= valormaximo)
        {
          double max = (valormaximo);
          double n = valorminimo + incremento;
          {
           System.out.println(n * columna3 +" " );
          }
            columna3 += incremento;
        }
        break; 
      case 4:
        System.out.println("4");
        System.out.print("valor maximo");
        valormaximo=teclado.nextDouble();
        System.out.println("" + valormaximo);
        System.out.print("valor minimo");
        valorminimo=teclado.nextDouble();
        System.out.println("" + valorminimo);
        System.out.println("Incremento");
         incremento=teclado.nextDouble();
        System.out.println("" + incremento);
        double columna4 = (valorminimo);
        double fila4= (valorminimo);
        
        while ( columna4 <= valormaximo)
        {
          double max = (valormaximo);
          double n = valorminimo + incremento;
          {
           System.out.println(n/ columna4 +" " );
          }
            columna4 += incremento;
        }
        break;  
      case 5:
        System.out.print("valor maximo");
        valormaximo=teclado.nextDouble();
        System.out.println("" + valormaximo);
        System.out.print("valor minimo");
        valorminimo=teclado.nextDouble();
        System.out.println("" + valorminimo);
        System.out.println("Incremento");
        incremento=teclado.nextInt();
        System.out.println("" + incremento);
        double columna5 = (valorminimo);
        double fila5= (valorminimo);
        
        while ( columna5 <= valormaximo)
        {
          double max = (valormaximo);
          double n = valorminimo + incremento;
          {
           System.out.println(n% columna5 +" " );
          }
            columna5 += incremento;
        }
        break;
    }
    
    
    
  }
  
  /* ADD YOUR CODE HERE */
  
}
